<?php





/** ensure this file is being included by a parent file */

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );





/**

 * Basic tab extender. Any plugin that needs to display a tab in the user profile

 * needs to have such a class. Also, currently, even plugins that do not display tabs (e.g., auto-welcome plugin)

 * need to have such a class if they are to access plugin parameters (see $this->params statement).

 */

class getcivicrmaddressTab extends cbTabHandler {

	/**

	 * Construnctor

	 */

	function getcivicrmaddressTab() {

		$this->cbTabHandler();

	}

	

	/**

	* Generates the HTML to display the user profile tab

	* @param object tab reflecting the tab database entry

	* @param object mosUser reflecting the user being displayed

	* @param int 1 for front-end, 2 for back-end

	* @returns mixed : either string HTML for tab content, or false if ErrorMSG generated

	*/

	function getDisplayTab($tab,$user,$ui) {

		global $my, $acl, $database, $mosConfig_live_site, $mosConfig_absolute_path,$cid;



		$return = null;

		$params = $this->params; // get parameters (plugin and related tab)

		

		$is_civicrmaddress_plug_enabled = $params->get('crm4PlugEnabled', "1");

		$civicrmaddress_tab_message = $params->get('crm4TabMessage', "Contact Information");



		$query = "SELECT 





a.contact_id 

,location_type_id

,f.name as statename

,g.name as countryname

,supplemental_address_1

,supplemental_address_2

,street_address

,city

,postal_code

,postal_code_suffix
,h.name as addtype



from

 civicrm_uf_match as a

,civicrm_individual as b

,civicrm_location as c

,civicrm_contact as d

,civicrm_address as e

,civicrm_state_province as f

,civicrm_country as g
,civicrm_location_type as h



where

    a.contact_id=b.contact_id

and a.contact_id =d.id

and c.entity_id=b.contact_id

and c.id=e.location_id

and c.is_primary=1

and e.state_province_id=f.id

and e.country_id=g.id
and h.id = c.location_type_id

and a.uf_id='" . $user->id . "' ";



        	$database->setQuery($query);

	        $cid = $database->loadObjectList();





		if ($is_civicrmaddress_plug_enabled != "0") {

			if($tab->description != null) {

				$return .= "\t\t<div class=\"tab_Description\">"

//					. $tab->description	

					. unHtmlspecialchars(getLangDefinition($tab->description))

// html content is allowed in descriptions

					. "</div>\n";

			}

			$return .= "\t\t<div>\n"

                                . "Address list <strong><br >" 	
                        ;
  foreach ( $cid as $add ) {

			$return .= "<p>" .$add->addtype . "<br> "
                                . $add->supplemental_address_1 . " <br >"

				. $add->supplemental_address_2 . " <br >"

				. $add->street_address . " <br >" 

				. $add->city . " <br >" 

				. $add->statename . " <br >" 

				. $add->postal_code . " -" 

				. $add->postal_code_suffix . " <br >" 

				. $add->countryname 

				. "</strong>"

				. "</p>"
                        ;
  }

			$return	.= "</div>\n";

		}

		return $return;

	} // end or getDisplayTab function

} // end of getcivicrmaddressTab class

?>